<div class="container">
  <h1 class="bg-success text-white px-2 py-1">The ng Bank</h1>

  <div class="form-row align-items-center mb-4">
    <label for="count" class="col-2 col-form-label">Number of accounts:</label>
    <div class="col-2">
      <input type="number" id="count" [(ngModel)]="count" [min]="0"
             class="form-control" placeholder="How many accounts to generate">
    </div>
    <div class="col-auto">
      <button (click)="generate(count)" class="btn btn-primary px-4">Generate</button>
    </div>
  </div>

  <app-account-list [list]="accounts"></app-account-list>
</div>
